[PC-BSD Commits] r6533 - pcbsd/trunk/pc-sysinstall/backend-query

svn at pcbsd.org svn at pcbsd.org
Thu Apr 8 07:16:08 PDT 2010


Author: kris
Date: 2010-04-08 07:16:07 -0700 (Thu, 08 Apr 2010)
New Revision: 6533

Modified:
   pcbsd/trunk/pc-sysinstall/backend-query/update-part-list.sh
Log:

Fixed bug in update-part-list which we have a valid mount-point, but can't run scripts on it



Modified: pcbsd/trunk/pc-sysinstall/backend-query/update-part-list.sh
===================================================================
--- pcbsd/trunk/pc-sysinstall/backend-query/update-part-list.sh	2010-04-08 13:55:03 UTC (rev 6532)
+++ pcbsd/trunk/pc-sysinstall/backend-query/update-part-list.sh	2010-04-08 14:16:07 UTC (rev 6533)
@@ -58,10 +58,20 @@
       fi
     fi
 
-    if [ "${FOUNDMNT}" = "1" ]
-    then
+    # First see if we can even run scripts on this system
+    if [ "${FOUNDMNT}" = "1" ] ; then
+      chroot ${FSMNT} /bin/csh --version >/dev/null 2>/dev/null
+      if [ "$?" != "0" ] ; then
+        FOUNDMNT="0"
+        umount -f ${FSMNT}
+      fi
+    fi 
+
+    # We have a good mount-point, query for some data
+    if [ "${FOUNDMNT}" = "1" ] ; then
       PART="${i}"
 
+
       mount -t devfs devfs ${FSMNT}/dev
 
       chroot ${FSMNT} /sbin/mount -a



More information about the Commits mailing list